# norootforbuild

%define _blacklist /etc/modprobe.d/blacklist
%define _blackmodule r8169

Name:           r8101
Version:        1.022.00
Release:        2.1
License:        GNU GPL
Group:          Hardware/Other
Url:            http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=14&PFid=7&Level=5&Conn=4&DownTypeID=3&GetDown=false
Source0:	%{name}-%{version}.tar.bz2
Source1:	preamble
Source2:	r8101.pm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  kernel-source kernel-syms module-init-tools
Requires:	pm-utils
Summary:        Kernel module for RealTek RTL8100/8101/8102/8103 PCI-Express NICs

%description
Realtek r8101 kernel module for RealTek RTL8100/8101/8102/8103 Fast Ethernet controllers with PCI-Express interface.

%package KMP
Group:          System/Kernel
Summary:        Kernel module for RealTek RTL8100/8101/8102/8103 PCI-Express NICs

%description KMP
Realtek r8101 kernel module for RealTek RTL8100/8101/8102/8103 Fast Ethernet controllers with PCI-Express interface.


%suse_kernel_module_package -p %{_sourcedir}/preamble kdump um debug ec2
%debug_package_requires %{name}-KMP = %{version}-%{release}

%prep
%setup -q
set -- *
%__mkdir source
%__mv "$@" source/

%build
%__mkdir obj
for flavor in %{flavors_to_build}; do
	%__rm -rf obj/$flavor
	%__cp -r source/src obj/$flavor
	%__make -C /usr/src/linux-obj/%{_target_cpu}/$flavor M=$PWD/obj/$flavor clean modules
done

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=updates
for flavor in %{flavors_to_build}; do
	%__make -C /usr/src/linux-obj/%{_target_cpu}/$flavor M=$PWD/obj/$flavor modules_install
done
%__install -Dm 0755 %{_sourcedir}/r8101.pm %{buildroot}/%{_prefix}/lib/pm-utils/sleep.d/05r8101

%post
if [ "`%__sed "/^.*#/d;/%{_blackmodule}/!d" %{_blacklist}`" == "" ]; then
	echo "blacklist %{_blackmodule}" >> %{_blacklist}
fi

%postun
%__cp -p %{_blacklist} %{_blacklist}.tmp
%__sed "/%{_blackmodule}/d" %{_blacklist}.tmp > %{_blacklist}
%__rm -f %{_blacklist}.tmp

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/pm-utils
%dir %{_prefix}/lib/pm-utils/sleep.d
%{_prefix}/lib/pm-utils/sleep.d/05r8101

%changelog
* Fri Aug 31 2012 cs@linux-administrator.com
- Updated to 1.022.00
* Sun Mar  6 2011 bitshuffler@opensuse.org
- Updated to 1.020.00.
* Sat Oct  2 2010 bitshuffler@opensuse.org
- Updated to 1.019.00.
* Thu Jul 22 2010 bitshuffler@opensuse.org
- Updated to 1.018.00.
* Thu Jul 22 2010 bitshuffler@opensuse.org
- Updated to 1.017.00.
* Mon May 31 2010 bitshuffler #suse@irc.freenode.org
- Updated to 1.016.00.
* Sat Mar 20 2010 bitshuffler #suse@irc.freenode.org
- Updated to 1.015.00.
* Sun Nov 22 2009 bitshuffler #suse@irc.freenode.org
- Updated to 1.014.00.
* Wed Aug  5 2009 bitshuffler #suse@irc.freenode.org
- Added dependency from the KMPs on the r8101 main package and
  automatic blacklisting of the r8169 module.
  Credits go to Dieter Jurzitza.
* Tue Aug  4 2009 bitshuffler #suse@irc.freenode.org
- Updated to 1.013.00.
* Fri Jul 17 2009 bitshuffler #suse@irc.freenode.org
- Added a r8101 package that contains a power management script that
  unloads the module before suspend / sleep and reloads it afterwards
  since otherwise it would result in freezes / crashes.
  Credits go to Dieter Jurzitza.
